apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: staging-nodejs-helm
  namespace: argocd
spec:
  project: staging
  source:
    chart: nodejs
    repoURL: https://demo-hdb-helm-repo.s3.us-east-1.amazonaws.com
    targetRevision: 0.1.1
    helm:
      releaseName: nodejs
      parameters:
      - name: 'image.repository'
        value: '203645649179.dkr.ecr.us-east-1.amazonaws.com/docker-repository'
      - name: 'image.tag'
        value: a4a6bb8e
      - name: 'image.pullPolicy'
        value: IfNotPresent
  destination:
    server: "https://kubernetes.default.svc"
    namespace: staging

  syncPolicy:
    syncOptions:
    - CreateNamespace=true

    automated:
      selfHeal: true
      prune: true
